# MessageFeed (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class MessageFeed

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<MessageFeed,MessageEntry>
                      com.google.gdata.data.extensions.MessageFeed

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor

    public class MessageFeed

extends BaseFeed<MessageFeed,MessageEntry>

The Message class customizes the generic BaseEntry class to define a feed of Message entries.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MessageFeed()` Constructs a new `MessageFeed` instance that is parameterized to contain `MessageEntry` instances.
`MessageFeed(BaseFeed<?,?> sourceFeed)` Constructs a new `MessageFeed` instance that is initialized using data from another BaseFeed instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, generateRss, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setService, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### MessageFeed

    public MessageFeed()

  Constructs a new `MessageFeed` instance that is parameterized to contain `MessageEntry` instances.

### MessageFeed

    public MessageFeed(BaseFeed<?,?> sourceFeed)

  Constructs a new `MessageFeed` instance that is initialized using data from another BaseFeed instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseFeed<MessageFeed,MessageEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`